"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const style_generator_1 = require("../style-generator/style-generator");
const are_arrays_equal_1 = require("./are-arrays-equal");
const style_data_to_string_1 = require("./style-data-to-string");
function useStyle(data) {
    const variables = react_1.useRef(null);
    const style = react_1.useRef({});
    if (variables.current === null) {
        variables.current = data.variables;
        style.current = style_generator_1.generateStyle(style_data_to_string_1.styleDataToString(data));
        return style.current;
    }
    if (are_arrays_equal_1.areArraysEqual(variables.current, data.variables)) {
        return style.current;
    }
    variables.current = data.variables;
    style.current = style_generator_1.generateStyle(style_data_to_string_1.styleDataToString(data));
    return style.current;
}
exports.useStyle = useStyle;
//# sourceMappingURL=use-style-hook.js.map